from ultralytics import YOLO
import cv2

model = YOLO('best (8).pt')

def read_vid(vid):
    cap = cv2.VideoCapture(vid)
    while True:
        success, frame = cap.read()
        if success:
            frame = cv2.resize(frame, None, fx=0.5, fy=0.5)
            results = model.track(frame)
            annotated_frame = results[0].plot()
            cv2.imshow("YOLOv8 Inference", annotated_frame)
            
            if cv2.waitKey(1) & 0xFF == ord("q"):
                break
        else:
        # Break the loop if the end of the video is reached
            break
    cap.release()
    cv2.destroyAllWindows()

